local require = GLOBAL.require
local Ingredient = GLOBAL.Ingredient
local RECIPETABS = GLOBAL.RECIPETABS
local STRINGS = GLOBAL.STRINGS
local ACTIONS = GLOBAL.ACTIONS
local Action = GLOBAL.Action


GLOBAL.STRINGS.NAMES.SCOUT = "The scout"




PrefabFiles = {
	"scout",
	"sandman",
}

Assets = {
    Asset( "IMAGE", "images/saveslot_portraits/scout.tex" ),
    Asset( "ATLAS", "images/saveslot_portraits/scout.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/scout.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/scout.xml" ),

    Asset( "IMAGE", "images/selectscreen_portraits/scout_silho.tex" ),
    Asset( "ATLAS", "images/selectscreen_portraits/scout_silho.xml" ),

    Asset( "IMAGE", "bigportraits/scout.tex" ),
    Asset( "ATLAS", "bigportraits/scout.xml" ),

	Asset("IMAGE", "images/scoutmini.tex"),
	Asset("ATLAS", "images/scoutmini.xml"),

	
	Asset( "IMAGE", "images/avatars/avatar_scout.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_scout.xml" ),
	
	Asset( "IMAGE", "images/avatars/avatar_ghost_scout.tex" ),
    Asset( "ATLAS", "images/avatars/avatar_ghost_scout.xml" ),
	
}

local require = GLOBAL.require
GLOBAL.STRINGS.CHARACTERS.SCOUT = require "speech_scout"

AddMinimapAtlas("images/scoutmini.xml")

function sHat(player)
    local sandmanRecipe = GLOBAL.Recipe("sandman", {Ingredient("log", 10), Ingredient("goose_feather", 5)}, RECIPETABS.WAR, {SCIENCE =0} )
	sandmanRecipe.atlas = "images/inventoryimages/sandman.xml"
end

-- strings! Any "scout" below would have to be replaced by the prefab name of your character.

-- The character select screen lines
-- note: these are lower-case character name
GLOBAL.STRINGS.CHARACTER_TITLES.scout = "The Boston Nutcase"
GLOBAL.STRINGS.CHARACTER_NAMES.scout = "Scout"  -- Note! This line is especially important as some parts of the game require
                                            -- the character to have a valid name.
GLOBAL.STRINGS.CHARACTER_DESCRIPTIONS.scout = "* I'm a freakin' blur here!\n* Tiny baby man\n* Batter up!"
GLOBAL.STRINGS.CHARACTER_QUOTES.scout = "\"Un-freakin'-touchable!\""
--STRINGS.CHARACTERS.scout=require "speech_scout"

GLOBAL.STRINGS.NAMES.SANDMAN = "The Sandman"
GLOBAL.STRINGS.RECIPE_DESC.SANDMAN = "Bonk!"
GLOBAL.STRINGS.CHARACTERS.GENERIC.DESCRIBE.SANDMAN = "Batter up!"
GLOBAL.STRINGS.CHARACTERS.WILLOW.DESCRIBE.SANDMAN = "I like it better when its a pile of ash."
GLOBAL.STRINGS.CHARACTERS.WOLFGANG.DESCRIBE.SANDMAN = "Is strong club!"
GLOBAL.STRINGS.CHARACTERS.WENDY.DESCRIBE.SANDMAN = "I bet many souls have been destroyed with this."
GLOBAL.STRINGS.CHARACTERS.WX78.DESCRIBE.SANDMAN = "HUGE STICK"
GLOBAL.STRINGS.CHARACTERS.WICKERBOTTOM.DESCRIBE.SANDMAN = "A seemingly well worn bat made from oak wood."
GLOBAL.STRINGS.CHARACTERS.WOODIE.DESCRIBE.SANDMAN = "OH NO! WHAT HAVE THEY DONE TO THIS TREE?!"
GLOBAL.STRINGS.CHARACTERS.WAXWELL.DESCRIBE.SANDMAN = "Its alright I guess."

-- Let the game know scout is a male, for proper pronouns during the end-game sequence.
-- Possible genders here are MALE, FEMALE, or ROBOT
table.insert(GLOBAL.CHARACTER_GENDERS.MALE, "scout")


AddModCharacter("scout", "MALE")
AddPrefabPostInit('sandman')
AddSimPostInit(sHat)