
local MakePlayerCharacter = require "prefabs/player_common"


local assets = {

        Asset( "ANIM", "anim/player_basic.zip" ),
        Asset( "ANIM", "anim/player_idles_shiver.zip" ),
        Asset( "ANIM", "anim/player_actions.zip" ),
        Asset( "ANIM", "anim/player_actions_axe.zip" ),
        Asset( "ANIM", "anim/player_actions_pickaxe.zip" ),
        Asset( "ANIM", "anim/player_actions_shovel.zip" ),
        Asset( "ANIM", "anim/player_actions_blowdart.zip" ),
        Asset( "ANIM", "anim/player_actions_eat.zip" ),
        Asset( "ANIM", "anim/player_actions_item.zip" ),
        Asset( "ANIM", "anim/player_actions_uniqueitem.zip" ),
        Asset( "ANIM", "anim/player_actions_bugnet.zip" ),
        Asset( "ANIM", "anim/player_actions_fishing.zip" ),
        Asset( "ANIM", "anim/player_actions_boomerang.zip" ),
        Asset( "ANIM", "anim/player_bush_hat.zip" ),
        Asset( "ANIM", "anim/player_attacks.zip" ),
        Asset( "ANIM", "anim/player_idles.zip" ),
        Asset( "ANIM", "anim/player_rebirth.zip" ),
        Asset( "ANIM", "anim/player_jump.zip" ),
        Asset( "ANIM", "anim/player_amulet_resurrect.zip" ),
        Asset( "ANIM", "anim/player_teleport.zip" ),
        Asset( "ANIM", "anim/wilson_fx.zip" ),
        Asset( "ANIM", "anim/player_one_man_band.zip" ),
        Asset( "ANIM", "anim/shadow_hands.zip" ),
        Asset( "SOUND", "sound/sfx.fsb" ),
        Asset( "SOUND", "sound/wilson.fsb" ),
        Asset( "ANIM", "anim/beard.zip" ),

		-- Don't forget to include your character's custom assets!
        Asset( "ANIM", "anim/scout.zip" ),
		Asset( "ANIM", "anim/ghost_scout_build.zip" ),
}
local prefabs = {}

local function common_postinit(inst)
    inst.avatar_tex   = "avatar_scout.tex"
    inst.avatar_atlas = "images/avatars/avatar_scout.xml"
     
    inst.avatar_ghost_tex   = "avatar_ghost_scout.tex"
    inst.avatar_ghost_atlas = "images/avatars/avatar_ghost_scout.xml"
end


local start_inv =
{
	"hambat",
	"goatmilk","goatmilk","goatmilk","goatmilk","goatmilk","goatmilk","goatmilk","goatmilk","goatmilk","goatmilk",
}


local function master_postinit(inst)

	inst.components.health.maxhealth = 125
	inst.components.locomotor.walkspeed = 10
	inst.components.locomotor.runspeed = 10
	inst.components.combat.damagemultiplier = 0.75
	inst.components.sanity.max = 120

	-- choose which sounds this character will play
	inst.soundsname = "wilson"

	-- a minimap icon must be specified
    inst.entity:AddMiniMapEntity()
    inst.MiniMapEntity:SetIcon("scoutmini.tex")

STRINGS.NAMES.SNIPER = "The scout"

	-- todo: Add an example special power here.
end

--AddPrefabPostInit("world_network", your_setup_code )


--end)

-- You can also add any kind of custom dialogue that you would like. Don't forget to make
-- categores that don't exist yet using = {}
-- note: these are UPPER-CASE charcacter name

return MakePlayerCharacter("scout", prefabs, assets, common_postinit, master_postinit, start_inv)
